Bug 1463211 - Pop up event messages scattered around the top of the screen in case of multiple events
Pop up event messages scattered around the top of the screen in case of multi...
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.2.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Alexander Wels
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 07:40 EDT by Eyal Shenitzky
Modified: 2017-09-28 05:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gshereme: needinfo-
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)
Screen shot (244.52 KB, image/png)
2017-06-25 08:04 EDT, Eyal Shenitzky
no flags Details
vertical stacked notifications (213.96 KB, image/png)
2017-06-26 07:35 EDT, Alexander Wels
no flags Details

  None (edit)
Description Eyal Shenitzky 2017-06-20 07:40:37 EDT
Description of problem:
When having updates for multiple events on the same time, they appear on the top of the screen without consistent order.  

Version-Release number of selected component (if applicable):
engine - 4.2.0-0.0.master.20170618184152.gitb0f84a1.el7.centos

How reproducible:
100%

Steps to Reproduce:
1. Create VM with multiple disks at the same size
2. Move the VM's disks to different storage domain

Actual results:
At the end of the migration, if the operations finish at the same time, pop-up events shown on the top of the screen without consistent order  

Expected results:
The event pop-up should appear as list/ order by the time

Additional info:
Comment 1 Oved Ourfali 2017-06-21 08:46:09 EDT
Can you give a screenshot of that?
I saw those in order, but perhaps I missed something.
Comment 2 Eyal Shenitzky 2017-06-25 08:04 EDT
Created attachment 1291698 [details]
Screen shot
Comment 3 Eyal Shenitzky 2017-06-25 08:05:55 EDT
I think it will be better to show the pop-ups on the bottom of the screen, the are fewer buttons / information that will cover
Comment 4 Greg Sheremeta 2017-06-25 11:10:13 EDT
(In reply to Eyal Shenitzky from comment #3)
> I think it will be better to show the pop-ups on the bottom of the screen,
> the are fewer buttons / information that will cover

The pattern is for them to be on top -- and I like them up top, as well.
http://www.patternfly.org/pattern-library/communication/toast-notifications/

Re: the bug, listing them out horizontally is a bug.

Should multiple notifications stack on top of each other vertically as they happen, or should we show only one at a time (like a stack of cards)?
Comment 5 Alexander Wels 2017-06-26 07:35 EDT
Created attachment 1291950 [details]
vertical stacked notifications

As you can see the notification should start at top right, and then stack as in the screenshot. Maybe you need to clear your cache?
Comment 6 Greg Sheremeta 2017-06-26 16:33:22 EDT
@Eyal, what version of Chrome is that? Please update to the latest, clear cache, and retry.
Comment 7 Eyal Shenitzky 2017-06-29 02:31:34 EDT
chrome version was - Version 56.0.2924.87 (64-bit)
As far as I know this is the latest version for fedora
Comment 8 Oved Ourfali 2017-08-29 08:25:10 EDT
Lukas, does it reproduce for QE?
Comment 9 Lucie Leistnerova 2017-08-29 10:06:22 EDT
I did not reproduce it, all notifications appeared in top right corner below each other as is shown in Alexanders attachment. I have tested 
ovirt-engine-4.2.0-0.0.master.20170828065003.git0619c76.el7.centos.noarch
in Google Chrome 60.0 and Firefox 55.0.1 on Fedora 26.
Comment 10 Oved Ourfali 2017-08-29 11:06:44 EDT
moving to VERIFIED.
I hope clearing the cache will fix it if you still have issues.

Note You need to log in before you can comment on or make changes to this bug.